Bug 226533 - multimedia/avidemux*: incorrect PORTREVISION for slave ports
Summary: multimedia/avidemux*: incorrect PORTREVISION for slave ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-11 18:38 UTC by VVD
Modified: 2018-08-19 09:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2018-03-11 18:38:51 UTC
# /usr/local/etc/periodic/weekly/400.status-pkg | grep avidemux
avidemux-2.6.11_9 needs updating (index has 2.6.11_10)
avidemux-cli-2.6.11_5 succeeds index (index has 2.6.11_1)
avidemux-plugins-2.6.11_5 succeeds index (index has 2.6.11_1)
avidemux-qt4-2.6.11_5 succeeds index (index has 2.6.11_1)
# portmaster avidemux-
…
        Upgrade avidemux-2.6.11_9 to avidemux-2.6.11_10
        Downgrade avidemux-cli-2.6.11_5 to avidemux-cli-2.6.11_1
        Downgrade avidemux-plugins-2.6.11_5 to avidemux-plugins-2.6.11_1
        Downgrade avidemux-qt4-2.6.11_5 to avidemux-qt4-2.6.11_1

This is a mistake in r464084.
File multimedia/avidemux/Makefile.common have line "PORTREVISION?=  5", it must be changed on "PORTREVISION?=  6" and lines "PORTREVISION=  1" must be removed in all files multimedia/avidemux-*/Makefile (slave ports).
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2018-03-11 19:13:12 UTC
Over to committer of r464084.
Comment 2 Gerald Pfeifer freebsd_committer 2018-03-11 20:45:49 UTC
Thanks for the solid report, vvd !

And, yikes.  Those pseudo-slave ports really are a pain when it comes
to any larger changes in the tree. :-(
Comment 3 VVD 2018-03-11 21:15:13 UTC
(In reply to Gerald Pfeifer from comment #2)
> Those pseudo-slave ports really are a pain when it comes to any larger changes in the tree. :-(
Agree.
You can keep "PORTREVISION=" lines in slave ports, but set value to 6. This is more obvious than "PORTREVISION?=  6" in multimedia/avidemux/Makefile.common.
Comment 4 commit-hook freebsd_committer 2018-03-11 22:48:39 UTC
A commit references this bug:

Author: gerald
Date: Sun Mar 11 22:48:03 UTC 2018
New revision: 464215
URL: https://svnweb.freebsd.org/changeset/ports/464215

Log:
  Move PORTREVISION from multimedia/avidemux/Makefile.common into the
  three slave ports multimedia/avidemux-cli, multimedia/avidemux-plugins,
  and multimedia/avidemux-qt4.  Ensure they are properly set there
  after revision 464084.

  That way any sweeping changes (using Tools/scripts/bump-revision.sh
  or similar in particular) have a chance of working or at least flagging
  a potential issue.

  PR:		226533

Changes:
  head/multimedia/avidemux/Makefile.common
  head/multimedia/avidemux-cli/Makefile
  head/multimedia/avidemux-plugins/Makefile
  head/multimedia/avidemux-qt4/Makefile
Comment 5 VVD 2018-03-11 23:48:10 UTC
Thanks!
Comment 6 Gerald Pfeifer freebsd_committer 2018-03-25 20:56:34 UTC
I have filed 
Bug 226926 - [PATCH] Tools/scripts/bump-revision.sh lacks a safety belt
and proposed a patch there to help avoid such cases slipping through in
the future.
Comment 7 commit-hook freebsd_committer 2018-03-27 06:43:28 UTC
A commit references this bug:

Author: riggs
Date: Tue Mar 27 06:42:50 UTC 2018
New revision: 465663
URL: https://svnweb.freebsd.org/changeset/ports/465663

Log:
  Import avidemux build fixes from head.

  MFH: r464215 r465620

  Move PORTREVISION from multimedia/avidemux/Makefile.common into the
  three slave ports multimedia/avidemux-cli, multimedia/avidemux-plugins,
  and multimedia/avidemux-qt4.  Ensure they are properly set there
  after revision 464084.

  That way any sweeping changes (using Tools/scripts/bump-revision.sh
  or similar in particular) have a chance of working or at least flagging
  a potential issue.

  PR:		226533

  Un-break avidemux and plugins (import C++11 fixes from upstream)

  PR:		224384
  Submitted by:	rkoberman@gmail.com

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/multimedia/avidemux/Makefile
  branches/2018Q1/multimedia/avidemux/Makefile.common
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__demuxers_MpegTS_dmxTSPacket.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffDv_ADM__ffDv.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffFlv1_ADM__ffFlv1.h
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffMpeg2_ADM__ffMpeg2.h
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_ffMpeg4_ADM__ffMpeg4.h
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x264_ADM__x264.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x264_ADM__x264.h
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x264_qt4_Q__x264.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x265_ADM__x265.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x265_ADM__x265.h
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_x265_qt4_Q__x265.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoEncoder_xvid4_ADM__xvid4.cpp
  branches/2018Q1/multimedia/avidemux/files/patch-avidemux__plugins_ADM__videoFilters6_telecide_Telecide__getFrame.cpp
  branches/2018Q1/multimedia/avidemux-cli/Makefile
  branches/2018Q1/multimedia/avidemux-plugins/Makefile
  branches/2018Q1/multimedia/avidemux-qt4/Makefile
Comment 8 commit-hook freebsd_committer 2018-08-19 09:18:07 UTC
A commit references this bug:

Author: gerald
Date: Sun Aug 19 09:17:57 UTC 2018
New revision: 477561
URL: https://svnweb.freebsd.org/changeset/ports/477561

Log:
  Add a stronger safety belt to this script by comparing the actual
  PORTREVISION (using the Ports Collection framework, not just looking at
  one Makefile individually at a time) before and after the bump.  If the
  version after the bump isn't actually increased, flag that as an error.

  As an example, before revision r464215 (cf. bug #226533) this script
  would have wreaked wreak havoc on the multimedia/avidemux* ports.
  This hardly can be blamed on bump-revision.sh, but with the additional
  safety belt it does now detect such cases.

  How to reproduce:

    % cd $PORTSDIR
    % svn up -r 464036 multimedia/
    % Tools/scripts/bump-revision.sh multimedia/avidemux*

  With this patch we print:

    INFO: multimedia/avidemux PORTREVISION=	9 found, bumping it by 1.
    INFO: multimedia/avidemux-cli PORTREVISION not found, adding PORTREVISION= 1
    ERROR: multimedia/avidemux-cli PORTREVISION went backwards from 5 to 1!
    INFO: multimedia/avidemux-plugins PORTREVISION not found, adding PORTREVISION= 1
    ERROR: multimedia/avidemux-plugins PORTREVISION went backwards from 5 to 1!
    INFO: multimedia/avidemux-qt4 PORTREVISION not found, adding PORTREVISION= 1
    ERROR: multimedia/avidemux-qt4 PORTREVISION went backwards from 5 to 1!

  The beauty of this approach is that it goes beyond a simple text search,
  and leverages what the ports framework itself does.

  PR:		226926, 226533
  Approved by:	maintainer timeout (20+ weeks)
  Reviewed by:	mandree, riggs

Changes:
  head/Tools/scripts/bump-revision.sh